%{?!_icondir:%define _icondir   %{_datadir}/icons}

Name:       katapult
Version:    0.3.1.3
Release:    4%{?dist}
Summary:    Faster access to applications, bookmarks, and other items

License:    GPL
Group:      User Interface/Desktops
URL:        http://www.thekatapult.org.uk/

Source0:    http://prdownloads.sourceforge.net/%{name}/%{name}_%{version}.orig.tar.gz

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    kdelibs-devel, desktop-file-utils

%description
Katapult is an application for KDE, designed to allow faster access to
applications, bookmarks, and other items. It is plugin-based, so it can
launch anything that is has a plugin for. Its display is driven by 
plugins as well, so its appearance is completely customizable. It was 
inspired by Quicksilver for OS X.

%prep
%setup -q

%build
%configure --disable-rpath
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

desktop-file-install --vendor fedora \
    --add-category X-Fedora \
    --add-category System \
    --delete-original \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
    $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INDEX README TODO VERSION
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/services/%{name}*
%{_datadir}/servicetypes/%{name}*
%{_icondir}/hicolor/128x128/actions/checkmark.png
%{_icondir}/hicolor/128x128/actions/no.png
%{_icondir}/hicolor/128x128/apps/%{name}.png
%{_icondir}/hicolor/128x128/apps/xcalc.png
%{_icondir}/hicolor/??x??/apps/%{name}.png
%{_icondir}/hicolor/scalable/apps/%{name}.svgz
%{_libdir}/kde3/*
%{_libdir}/lib%{name}.so*
%{_libdir}/lib%{name}catalog.so*
%{_libdir}/lib%{name}display.so*
%exclude %{_libdir}/*.la

%changelog
* Fri Jul 14 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.3-4
- removed useless devel package

* Tue Jun 27 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.3-3
- dropping Requires(post) and Requires(postun)
- using %%exclude for *.la

* Mon Jun 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.3-2
- fixing devel package

* Wed Jun 21 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.3-1
- Initial package.
